//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
//Check if the dataset exists in the triplestore
const  prefix = `
PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
        `;



export const  checkDatasetExists = (dataGraph) =>{
        let query = `
        SELECT DISTINCT ?DataGraph
    		FROM NAMED <${dataGraph}>
    		WHERE
    		{
      		{GRAPH ?DataGraph {?Subject ?Predicate ?Object}}
    		}
        `;

        return prefix + query;
    }


export default {checkDatasetExists};
