//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React, { Component } from 'react';
import {
    Col,
    Container,
    Card,
    CardBody,
    CardText,
    CardTitle,
    CardSubtitle,
    Media
} from 'reactstrap';
import uploadImage from '../../../assets/cloud-upload.png'

class ConnectDataSet extends Component {

    render() {
        return (
            <Col xs="12" sm="6" lg="4" onClick={this.props.tileClicked}>
                <Container style={{ margin: 'auto' }} className=" w-100 h-90 connectDataSet">
                    <Card className="text-white bg-light text-center w-100 h-90 ">
                        <CardBody>
                            <CardTitle></CardTitle>
                            <CardSubtitle></CardSubtitle>
                            <Media style={{ height: '150px', width: '150px', margin: 'auto' }} src={uploadImage} alt="Upload Image" />
                            <CardText className="text-value text-dark">CONNECT</CardText>
                            <CardText className="text-dark">a dataset</CardText>
                        </CardBody>
                        <CardBody className="pb-0">
                            <div style={{ height: '20px' }} />
                        </CardBody>
                    </Card>
                </Container>
            </Col>
        );
    }
}

export default ConnectDataSet;
