//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React from 'react';
import { Modal, ModalBody,ModalFooter, Button} from 'reactstrap';

const LoadingFailed = (props) => (
  <Modal isOpen={true} className="modal-dialog-centered">
    <ModalBody>
      <div className="animated fadeIn pt-1 text-center">Error: Server Failed to Respond</div>
    </ModalBody>
    <ModalFooter>
        <Button color="secondary" onClick={props.clickHandler}>Ok</Button>
    </ModalFooter>
  </Modal>
);


export default LoadingFailed;
