//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React from 'react';
import { Modal, ModalBody,ModalFooter,Button } from 'reactstrap';

const TripleStoreUploadError = (props) => (
  <Modal isOpen={true} className="modal-dialog-centered">
  <ModalBody>
    <div className="animated fadeIn pt-1 text-center">Upload to triple store failed.</div>
    <div className="animated fadeIn pt-1 text-center">Please upload the dataset to triple store manually with graph name "{props.graphName}" to support Root Case Analysis.</div>
  </ModalBody>
  <ModalFooter>
      <Button color="secondary" onClick={props.clickHandler}>Ok</Button>
  </ModalFooter>
  </Modal>
);


export default TripleStoreUploadError;
