//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.

const  prefix = `
PREFIX rdf:     <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
        `;



export const  ExtensionalConcisenessMetric = (triples,dataGraph,resource,datasetSource) =>{
        let query = `
SELECT DISTINCT ?Resource
FROM NAMED <${dataGraph}>
WHERE
{
{${datasetSource} <${dataGraph}> { ${triples} }}

	FILTER(?Resource != ${resource}).
}
		`;

        return prefix + query;
    }


export default {ExtensionalConcisenessMetric};
