//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React, { Component } from 'react';
import { BrowserRouter } from 'react-router-dom';
// import { renderRoutes } from 'react-router-config';
import './App.scss';

const loading = () => <div className="animated fadeIn pt-3 text-center">Loading...</div>;

// Containers
const DefaultLayout = React.lazy(() => import('./containers/DefaultLayout'));



class App extends Component {

  componentDidMount =() =>
  {

  }

    render() {
        return (
            <BrowserRouter>
                <React.Suspense fallback={loading()}>
                    <DefaultLayout />
                </React.Suspense>
            </BrowserRouter>
        );
    }
}

export default App;
