//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.

export default {
	infoIcon:
    {
      "UndefinedClass" : "The class identifier (i.e URI) which is used to state the resource as an instance of a class is undefined in its respective schema."
    ,

      "UndefinedProperty" : "The property identifier (i.e URI) which is used to describe a charateristic of resource is undefined in its respective schema."
    ,

      "NoHumanReadableLabel" : "Resource does not have a Human Readable Label. i.e No "
    ,

      "ResourceReplica" : "The referred resource has a replica resource with a different id."
    ,

      "IncorrectRange" : "The object doesn't fall under the range type category of the property."
    ,

      "IncorrectDomain" : "The subject doesn't fall under the domain type category of the property."
    ,

      "UnknownType" : "The resource type is unknown."
    ,

      "MultiTypedResourceWithDisjointedClasses" : "The referred resource is multi-typed with disjoined classes."
		,
		"MisplacedClass" : "The referred resource, used a defined class instead of a property, in the property's position."
	,

		"MisplacedProperty" : "The referred resource, used a defined property instead of a class, in an rdf:type statement object's position."
	,

		"MisusedObjectProperty" : "The referred resource used an object property at the predicate position instead of a datatype property."
	,

		"MisusedDatatypeProperty" : "The referred resource used a datatype property at the predicate position instead of an Object Property."
	,

		"dt-unknown-dt" : "Data type value of the object literal doesn't satisfy the datatype conditions."

    }

};
