//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.

export default {
	knowledgeBaseMapping:
    {
      "UndefinedClassesAndPropertiesMetric" : {"UndefinedClass":["Object"],"UndefinedProperty":["Predicate"]}
    ,

      "HumanReadableLabellingMetric" : {"NoHumanReadableLabel":["Subject"]}
    ,

      "ExtensionalConcisenessMetric" : {"ResourceReplica":["Subject"]}
    ,

      "UsageOfIncorrectDomainOrRangeDatatypesMetric" : {"IncorrectRange":["Predicate","Object"],"IncorrectDomain":["Subject","Predicate"],"UnknownType":["Subject","Object"]}
    ,

      "EntitiesAsMembersOfDisjointClassesMetric" : {"MultiTypedResourceWithDisjointedClasses":["Subject"]}
    ,

      "MisplacedClassesOrPropertiesMetric" : {"MisplacedProperty":["Object"],"MisplacedClass":["Predicate"]}
    ,

      "MisusedOwlDatatypeOrObjectPropertiesMetric" : {"MisusedObjectProperty":["Predicate","Object"],"MisusedDatatypeProperty":["Predicate","Object"]}
    ,

      "CompatibleDatatype" : {"dt-unknown-dt":["Object"]}
		,
		  "MachineReadableLicenseMetric" : {"NoValidLicenseInDataset":["Subject"], "NotRecommendedLicenseInDataset":["Subject"]}
    }

};
