//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
//Checks to see if the PLD of the dataset exists in the triplestore
const  prefix = `
PREFIX daq: <http://purl.org/eis/vocab/daq#>
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>
        `;



export const  checkDatasetPLDExists = (datasetPLD) =>{
        let query = `
        SELECT  ?QualityGraph
      	WHERE {
        ?QualityGraph ?predicate daq:QualityGraph.
        {GRAPH ?QualityGraph {?x daq:computedOn ?ComputedOn} }.
        FILTER(str(?ComputedOn) = "${datasetPLD}").
      }
        `;

        return prefix + query;
    }


export default {checkDatasetPLDExists};
