//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
//Gets the number of all unique resources



export const  fetchDistinctResourceCount = (graphType, dataGraph) =>{
        let query = `
        SELECT (COUNT(DISTINCT ?Resource) AS ?ResourceCount)
        FROM NAMED <${dataGraph}>
      	WHERE {
          {${graphType} <${dataGraph}>
  	           {?Resource ?Predicate ?Object}.
            }
      }
        `;

        return query;
    }


export default {fetchDistinctResourceCount};
