//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
//Query to get all metrics 

const  prefix = `
        `;



export const  get1SpatialAssessmentMetrics = () =>{
        let query = `
          SELECT  DISTINCT ?metric ?label ?comment ?datatype ?metric ?dimension
           WHERE {
                 ?metric  
                    <http://www.w3.org/2000/01/rdf-schema#subClassOf> <http://purl.org/eis/vocab/daq#Metric> ;
                     <http://www.w3.org/2000/01/rdf-schema#label> ?label;
                     <http://www.w3.org/2000/01/rdf-schema#comment> ?comment;
                     <http://purl.org/eis/vocab/daq#expectedDataType> ?datatype.
                     ?property  <http://www.w3.org/2000/01/rdf-schema#range> ?metric;
                  <http://www.w3.org/2000/01/rdf-schema#domain> ?dimension.
           }
        `;

        return prefix + query;
    }

export default {get1SpatialAssessmentMetrics};
