//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React, { Component } from 'react';
import {
  ListGroupItem
} from 'reactstrap';

class ProblematicThingList extends Component {
  constructor(props) {
    //console.log("constructor");
    super(props);
    this.state = {
    }
    //console.log(this.props);
  }

  componentDidMount() {
    //console.log("componentDidMount");
  }

  render() {
    //console.log("Render");
    //console.log(this.state);
    let returnList = null;
    returnList = this.props.problematicThingList.map((problematicThing, index) => {
      let problematicThingKey = Object.keys(problematicThing);
      return <ListGroupItem key={index} className="list-group-item list-group-item-action flex-column align-items-start" >
        <h5 className="mb-1">Problematic Thing:</h5>
        <div className="d-flex w-100 justify-content-between">
          <h6 className="mb-1">{problematicThingKey[0]}</h6>
        </div>
        <p className="mb-1"></p>
        <p style={{ fontSize: "14px" }}>{problematicThing[problematicThingKey].effectedResources.length} Resource(s) are impacted by this Problematic Thing.</p>
        <p style={{ fontSize: "14px" }}>{problematicThing[problematicThingKey].exception.length} Exception(s) : {problematicThing[problematicThingKey].exception.join(', ')} </p>
        <div className="d-flex w-100 justify-content-between">
          <p className="mb-1">
            {problematicThing[problematicThingKey].linkedProblematicThings.length > 0 ? <small>Also has '{problematicThing[problematicThingKey].linkedProblematicThings.length}' linked Problematic Things.</small> : null}
          </p>
          <button style={{ color: "#069", fontSize: "16px", textDecoration: "underline", background:"none",padding:"0", border:"none", cursor:"ponter" }} onClick={() => this.props.showDetails(index)}>Click here for more details..</button>
        </div>
      </ListGroupItem>
    });
    return (
      <React.Fragment>
        {returnList}
      </React.Fragment>
    );
  }
}

export default ProblematicThingList;
