//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
import React, { Component } from 'react';
import {
  ListGroupItem
} from 'reactstrap';


class ListOfProblems extends Component {


  render() {
    let returnList = null;
    returnList = this.props.listOfProblems.map((problem, index) => {
      let problemKey = Object.keys(problem);
      return <ListGroupItem key={index} className="list-group-item list-group-item-action flex-column align-items-start" onClick={() => this.props.toggle(index)} action active={this.props.activeTab === index} >
        <p className="mb-1">{problemKey[0]} </p></ListGroupItem>
    });
    return (
      <React.Fragment>
        {returnList}
      </React.Fragment>
    );
  }
}


export default ListOfProblems;
