//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.
const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const knowledgeBaseSchema = new Schema({

  knowledgeBaseID: { type: Number },
  ProblematicThing: { type: String },
  Subject: { type: String },
  Predicate: { type: String },
  Object: { type: String },
  FailedMertic: { type: String },
  Exception: { type: String },
  SubjectRelatedExceptions: [String],
  PredicateRelatedExceptions: [String],
  ObjectRelatedExceptions: [String],
  SameTripleSameProblematicThingRelatedExceptions: [String],
  SameTripleDifferentProblematicThingRelatedExceptions: [String],
  rootCause: [String]

});
/*
const knowledgeBaseSchema = new Schema({
	
	knowledgeBaseID: {type:Number},
	knowledgeBase:[knowledgeBaseContent]
});
*/

const KnowledgeBase = mongoose.model("knowledgeBase", knowledgeBaseSchema);
module.exports = KnowledgeBase;
