//© 2019 Dublin City University, Trinity College Dublin. All rights reserved. This material may not be reproduced, displayed, modified or distributed without the express prior written permission of the copyright holder.

const  prefix = `
PREFIX qpro: <http://purl.org/eis/vocab/qpro#>
PREFIX rdf:     <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
        `;



export const  ExtensionalConcisenessMetric = (qualityGraph,dataGraph,resource) =>{
        let query = `
SELECT ?Resource ?Predicate ?Object
FROM NAMED <${dataGraph}>
WHERE
{
{GRAPH <${dataGraph}> {?Resource ?Predicate ?Object}}

	FILTER(str(?Resource) = "${resource}").
}
		`;

        return prefix + query;
    }


export default {ExtensionalConcisenessMetric};
